from machine import Pin, Timer

# Define LEDs
led0 = Pin(0, Pin.OUT)
led1 = Pin(1, Pin.OUT)
led26 = Pin(26, Pin.OUT)

# List to hold LEDs for easy access
leds = [led0, led1, led26]

# Index to keep track of the current LED
current_led = 0

def blink(timer):
    global current_led  # Use the global variable to keep track across calls
    
    # Turn off all LEDs
    for led in leds:
        led.value(0)
    
    # Turn on the current LED
    leds[current_led].value(1)
    
    # Move to the next LED in the sequence, wrapping around if necessary
    current_led = (current_led + 1) % len(leds)

# Initialize the timer
timer = Timer()

# Timer configuration
timer.init(freq=2.5, mode=Timer.PERIODIC, callback=blink)